# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::GuiErrorHandler Class Reference

This class shows messages boxes for every error message. More...

`#include <errorhandler.h>`

Inheritance diagram for KABC::GuiErrorHandler:

[legend]
Collaboration diagram for KABC::GuiErrorHandler:

[legend]
List of all members.

## Public Member Functions

| GuiErrorHandler (QWidget *parent)
virtual void | error (const QString &msg)

## Detailed Description

This class shows messages boxes for every error message.

Definition at line 72 of file errorhandler.h.

## Constructor & Destructor Documentation

GuiErrorHandler::GuiErrorHandler | ( | QWidget * | parent | ) |

Create error handler.

Parameters:

  | parent | Widget which is used as parent for the error dialogs.

Definition at line 44 of file errorhandler.cpp.

## Member Function Documentation

void GuiErrorHandler::error | ( | const QString & | msg | ) | `[virtual]`

| Show error message. Implements KABC::ErrorHandler. Definition at line 49 of file errorhandler.cpp. References KMessageBox::error().

The documentation for this class was generated from the following files:

- errorhandler.h
- errorhandler.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003